Subject: Re: [PATCH net-next v3 0/7] Decouple receive and transmit enablement in team driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 2 Apr 2026 07:45:38 -0700

On Thu, 02 Apr 2026 06:24:13 +0000 Marc Harvey wrote:
> Allow independent control over receive and transmit enablement states
> for aggregated ports in the team driver.
> 
> The motivation is that IEE 802.3ad LACP "independent control" can't
> be implemented for the team driver currently. This was added to the
> bonding driver in commit 240fd405528b ("bonding: Add independent
> control state machine").
> 
> This series also has a few patches that add tests to show that the old
> coupled enablement still works and that the new decoupled enablement
> works as intended (4, 5, and 7).
> 
> There are three patches with small fixes as well, with the goal of
> making the final decouplement patch clearer (1, 2, and 3).

Sounds like Jiri asked for changes, when you respin could you run
shellcheck and clean up the warnings? We ignore SC2317 SC2329 FWIW
selftests confuse the checker.